# Get an upload URL

Gets an upload URL.

> NOTE: After uploading a file, you can add it as Brandfolder asset by
copying the object_url value from the response into your request body's
attachments.url property. See [Create assets in a
Brandfolder](/api/brandfolder/openapi/assets/opidapiv4collectionsassetsbybrandfolderidpost)
for details.

Endpoint: GET /upload_requests
Version: v4
Security: APIToken

## Header parameters:

  - `Authorization` (string, required)
    Bearer token for authentication

## Response 200 fields (application/json):

  - `upload_url` (string)
    A signed upload_url that allows a user to PUT a file.

  - `resumable_upload_url` (string)
    A signed URL that allows a user to resume PUT operations for a
file.

  - `service` (string)
    The storage service type.

  - `object_url` (string)
    An attachment URL to provide to the Brandfolder create assets
API call.


